/*  Shm_setvec
 *
 *  This driver routine sets the SHM interrupt vector to point to the
 *  driver's SHM interrupt service routine.
 *
 *  NOTE: This routine is not used by the FORCE CPU-386 because it
 *        only supports polling mode.
 *
 *  Input parameters:  NONE
 *
 *  Output parameters: NONE
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  mpisr.c,v 1.3 1995/12/19 20:06:50 joel Exp
 */

#include <rtems.h>
#include <bsp.h>
#include <shm.h>

void Shm_setvec()
{
  /* NOT USED ON FORCE CPU-386!!! */
}
