/*  Shm_Convert_address
 *
 *  This MVME136 has a "normal" view of the VME address space.
 *  No address range conversion is required.
 *
 *  Input parameters:
 *    address - address to convert
 *
 *  Output parameters:
 *    returns - converted address
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  addrconv.c,v 1.3 1995/12/19 20:09:34 joel Exp
 */

#include <rtems.h>
#include <bsp.h>
#include <shm.h>

void *Shm_Convert_address(
  void *address
)
{
  return ( address );
}
