/*  Process_asr
 *
 *  This routine performs the processing for task 1's RTEMS_ASR.  It is called
 *  by an assembly routine which saves the necessary registers.
 *
 *  Input parameters:
 *    signal - signal set
 *
 *  Output parameters:  NONE
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  asr.c,v 1.3 1995/12/19 20:20:56 joel Exp
 */

#include "system.h"

rtems_asr Process_asr(
  rtems_signal_set signal_set
)
{
  rtems_status_code status;

  status = rtems_task_resume( Task_id[ 2 ] );
  directive_failed( status, "RTEMS_ASR - rtems_task_resume of TA2" );
}
